RDKit: RDKit::SynthonSpaceSearch::SynthonSet Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::SynthonSpaceSearch::SynthonSet Class Reference

`#include <SynthonSet.h>`

## Public Member Functions
| SynthonSet ()=default
| SynthonSet (const std::string &id)
| SynthonSet (const SynthonSet &rhs)=delete
| SynthonSet (SynthonSet &&rhs)=delete
const std::string & | getId () const
const std::vector< std::vector< std::pair< std::string, Synthon * > > > & | getSynthons () const
const boost::dynamic_bitset & | getConnectors () const
const std::vector< boost::dynamic_bitset<> > & | getSynthonConnectorPatterns () const
const std::vector< std::shared_ptr< ROMol > > & | getConnectorRegions () const
const std::vector< std::string > & | getConnectorRegionSmiles () const
const std::vector< std::unique_ptr< ExplicitBitVect > > & | getConnRegFPs () const
const std::unique_ptr< ExplicitBitVect > & | getAddFP () const
const std::unique_ptr< ExplicitBitVect > & | getSubtractFP () const
const std::vector< int > & | getNumConnectors () const
std::uint64_t | getNumProducts () const
bool | hasFingerprints () const
bool | hasAddAndSubtractFPs () const
unsigned int | getNumRingFormers () const
void | writeToDBStream (std::ostream &os) const
void | readFromDBStream (std::istream &is, const SynthonSpace &space, std::uint32_t version)
void | enumerateToStream (std::ostream &os) const
void | addSynthon (int synthonSetNum, Synthon *newSynthon, const std::string &synthonId)
void | removeEmptySynthonSets ()
void | makeSynthonSearchMols ()
void | buildConnectorRegions ()
void | assignConnectorsUsed ()
void | buildSynthonFingerprints (const FingerprintGenerator< std::uint64_t > &fpGen)
void | buildAddAndSubtractFPs (const FingerprintGenerator< std::uint64_t > &fpGen, unsigned int numBits)
std::vector< std::vector< ROMol * > > | getSynthons (const std::vector< boost::dynamic_bitset<> > &reqSynths) const
std::string | buildProductName (const std::vector< size_t > &synthNums) const
std::unique_ptr< ROMol > | buildProduct (const std::vector< size_t > &synthNums) const
void | assessRingFormers ()

## Detailed Description

Definition at line 36 of file SynthonSet.h.

## Constructor & Destructor Documentation

## ◆ SynthonSet() [1/4]

RDKit::SynthonSpaceSearch::SynthonSet::SynthonSet | ( |  | ) |
| default

Referenced by SynthonSet(), and SynthonSet().

## ◆ SynthonSet() [2/4]

RDKit::SynthonSpaceSearch::SynthonSet::SynthonSet | ( | const std::string & | id | ) |
| inlineexplicit

Definition at line 39 of file SynthonSet.h.

## ◆ SynthonSet() [3/4]

RDKit::SynthonSpaceSearch::SynthonSet::SynthonSet | ( | const SynthonSet & | rhs | ) |
| delete

References SynthonSet().

## ◆ SynthonSet() [4/4]

RDKit::SynthonSpaceSearch::SynthonSet::SynthonSet | ( | SynthonSet && | rhs | ) |
| delete

References SynthonSet().

## Member Function Documentation

## ◆ addSynthon()

void RDKit::SynthonSpaceSearch::SynthonSet::addSynthon | ( | int | synthonSetNum,
|  | Synthon * | newSynthon,
|  | const std::string & | synthonId )

## ◆ assessRingFormers()

void RDKit::SynthonSpaceSearch::SynthonSet::assessRingFormers | ( |  | ) |

## ◆ assignConnectorsUsed()

void RDKit::SynthonSpaceSearch::SynthonSet::assignConnectorsUsed | ( |  | ) |

## ◆ buildAddAndSubtractFPs()

void RDKit::SynthonSpaceSearch::SynthonSet::buildAddAndSubtractFPs | ( | const FingerprintGenerator< std::uint64_t > & | fpGen,
|  | unsigned int | numBits )

## ◆ buildConnectorRegions()

void RDKit::SynthonSpaceSearch::SynthonSet::buildConnectorRegions | ( |  | ) |

## ◆ buildProduct()

std::unique_ptr< ROMol > RDKit::SynthonSpaceSearch::SynthonSet::buildProduct | ( | const std::vector< size_t > & | synthNums | ) | const

## ◆ buildProductName()

std::string RDKit::SynthonSpaceSearch::SynthonSet::buildProductName | ( | const std::vector< size_t > & | synthNums | ) | const

## ◆ buildSynthonFingerprints()

void RDKit::SynthonSpaceSearch::SynthonSet::buildSynthonFingerprints | ( | const FingerprintGenerator< std::uint64_t > & | fpGen | ) |

## ◆ enumerateToStream()

void RDKit::SynthonSpaceSearch::SynthonSet::enumerateToStream | ( | std::ostream & | os | ) | const

## ◆ getAddFP()

const std::unique_ptr< ExplicitBitVect > & RDKit::SynthonSpaceSearch::SynthonSet::getAddFP | ( |  | ) | const

## ◆ getConnectorRegions()

const std::vector< std::shared_ptr< ROMol > > & RDKit::SynthonSpaceSearch::SynthonSet::getConnectorRegions | ( |  | ) | const

## ◆ getConnectorRegionSmiles()

const std::vector< std::string > & RDKit::SynthonSpaceSearch::SynthonSet::getConnectorRegionSmiles | ( |  | ) | const

## ◆ getConnectors()

const boost::dynamic_bitset & RDKit::SynthonSpaceSearch::SynthonSet::getConnectors | ( |  | ) | const
| inline

Definition at line 48 of file SynthonSet.h.

## ◆ getConnRegFPs()

const std::vector< std::unique_ptr< ExplicitBitVect > > & RDKit::SynthonSpaceSearch::SynthonSet::getConnRegFPs | ( |  | ) | const

## ◆ getId()

const std::string & RDKit::SynthonSpaceSearch::SynthonSet::getId | ( |  | ) | const
| inline

Definition at line 43 of file SynthonSet.h.

## ◆ getNumConnectors()

const std::vector< int > & RDKit::SynthonSpaceSearch::SynthonSet::getNumConnectors | ( |  | ) | const

## ◆ getNumProducts()

std::uint64_t RDKit::SynthonSpaceSearch::SynthonSet::getNumProducts | ( |  | ) | const

## ◆ getNumRingFormers()

unsigned int RDKit::SynthonSpaceSearch::SynthonSet::getNumRingFormers | ( |  | ) | const
| inline

Definition at line 62 of file SynthonSet.h.

## ◆ getSubtractFP()

const std::unique_ptr< ExplicitBitVect > & RDKit::SynthonSpaceSearch::SynthonSet::getSubtractFP | ( |  | ) | const

## ◆ getSynthonConnectorPatterns()

const std::vector< boost::dynamic_bitset<> > & RDKit::SynthonSpaceSearch::SynthonSet::getSynthonConnectorPatterns | ( |  | ) | const
| inline

Definition at line 49 of file SynthonSet.h.

## ◆ getSynthons() [1/2]

const std::vector< std::vector< std::pair< std::string, Synthon * > > > & RDKit::SynthonSpaceSearch::SynthonSet::getSynthons | ( |  | ) | const
| inline

Definition at line 45 of file SynthonSet.h.

## ◆ getSynthons() [2/2]

std::vector< std::vector< ROMol * > > RDKit::SynthonSpaceSearch::SynthonSet::getSynthons | ( | const std::vector< boost::dynamic_bitset<> > & | reqSynths | ) | const

## ◆ hasAddAndSubtractFPs()

bool RDKit::SynthonSpaceSearch::SynthonSet::hasAddAndSubtractFPs | ( |  | ) | const

## ◆ hasFingerprints()

bool RDKit::SynthonSpaceSearch::SynthonSet::hasFingerprints | ( |  | ) | const

## ◆ makeSynthonSearchMols()

void RDKit::SynthonSpaceSearch::SynthonSet::makeSynthonSearchMols | ( |  | ) |

## ◆ readFromDBStream()

void RDKit::SynthonSpaceSearch::SynthonSet::readFromDBStream | ( | std::istream & | is,
|  | const SynthonSpace & | space,
|  | std::uint32_t | version )

## ◆ removeEmptySynthonSets()

void RDKit::SynthonSpaceSearch::SynthonSet::removeEmptySynthonSets | ( |  | ) |

## ◆ writeToDBStream()

void RDKit::SynthonSpaceSearch::SynthonSet::writeToDBStream | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- SynthonSet.h